require 'sketchup'
require_all(File.dirname(__FILE__)+"/Matt_Perso_Toolbar")
$clineTool = CLineTool.new

unless file_loaded?(__FILE__)
	file_loaded(__FILE__)
	
	tb=UI::Toolbar.new('Matt_Perso')
	dir = File.join(File.dirname(__FILE__),"Matt_Perso_Toolbar")
	
	cmd = UI::Command.new('Mirror'){Sketchup.active_model.select_tool(MirrorTool.new())}
		cmd.small_icon = File.join(dir, "mirror_16.png")
		cmd.large_icon = File.join(dir, "mirror_24.png")
		cmd.tooltip='Mirror Selection'
		cmd.status_bar_text='Mirror Selection: Preselect Objects; Activate; Pick 1,2 or 3 Mirroring Points; Choose if Original Selection is to be Erased...'
		tb.add_item(cmd)
		
	cmd = UI::Command.new('Hatching tool')  {hatchingtool2D}
		cmd.small_icon = File.join(dir, "2DhatchingTool_16.png")
		cmd.large_icon = File.join(dir, "2DhatchingTool_24.png")
		cmd.tooltip = cmd.menu_text = '2D Hatching'
		tb.add_item(cmd)
		
	cmd = UI::Command.new('Construction Line')  {Sketchup.active_model.select_tool $clineTool }
		cmd.small_icon = File.join(dir, "clinetool_16.png")
		cmd.large_icon = File.join(dir, "clinetool_24.png")
		cmd.tooltip = cmd.menu_text = 'Draw a Construction line'
		tb.add_item(cmd)
		
	cmd = UI::Command.new('Construction Point')  { pointtool }
		cmd.small_icon = File.join(dir, "Matt_PointTool_16.png")
		cmd.large_icon = File.join(dir, "Matt_PointTool_24.png")
		cmd.tooltip = cmd.menu_text = 'Draw a Construction Point'
		tb.add_item(cmd)
		
	cmd = UI::Command.new('Purge') { Matt_Tools::purger }
		cmd.small_icon = File.join(dir, "Purger_16.png")
		cmd.large_icon = File.join(dir, "Purger_24.png")
		cmd.tooltip = cmd.status_bar_text = 'Purger non-used elts'
		tb.add_item(cmd)
		
	cmd = UI::Command.new('Add invisible layer') { AddHiddenLayer.start }
		cmd.small_icon = File.join(dir, "add_hidden_layer_16.png")
		cmd.large_icon = File.join(dir, "add_hidden_layer_24.png")
		cmd.tooltip = cmd.status_bar_text = 'Add invisible layer'
		cmd.status_bar_text = 'Add invisible layer'
		tb.add_item(cmd)
		
	state = tb.get_last_state 
	if(state==TB_NEVER_SHOWN)
		tb.show 
	elsif (state==TB_VISIBLE)
		tb.restore
	end
end