# Copyright 2006 by Jim Foltz <jim.foltz@gmail.com> - All Rights Reserved
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
# Nov 2006
#   
# Sep 2006
# add_hidden_layer.rb
#   adds a layer with visibilty turned off for existing (and new) pages
# 
require "sketchup.rb"
module AddHiddenLayer
    def self.start
        model = Sketchup.active_model
        layers = model.layers
        result = inputbox(["Name"], [layers.unique_name], "Add Hidden Layer")
        return unless result
        newname = result[0].strip
        if layers[newname]
            UI.messagebox("Layer \"#{newname}\" exists, exiting.")
            return
        end
        layer = layers.add newname
        #pb = layer.page_behavior = LAYER_HIDDEN_BY_DEFAULT|LAYER_IS_HIDDEN_ON_NEW_PAGES
        # These 2 flags seem to create an error.
        pb = layer.page_behavior = LAYER_IS_HIDDEN_ON_NEW_PAGES
        model.pages.each { |p| p.set_visibility( layer, false ) }
    end
end
